*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --base: #555;
    --base-100: #f1f1f1;
    --base-400: #555;
    --base-800: #000;
    --yellow: #ffda4b;
    --yellow-100: #fffbe6;
    --yellow-400: #ffda4b;
    --yellow-800: #8b6f00;
    --blue: #0a61ae;
    --blue-100: #e2f8ff;
    --blue-400: #61dafb;
    --blue-800: #0a61ae;
}

body {
    font-family: "Open Sans", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    font-size: 20px;
    padding-bottom: 10px;
}

a {
    text-decoration: none;
    color: var(--blue);
}

a:hover {
    text-decoration: underline;
}

header {
    padding-top: 10px;
    padding-bottom: 10px;
    display: flex;
    justify-content: space-between;
    max-width: 1440px;
    margin: auto;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

header .logo-holder {
    display: flex;
    padding: 10px;
    align-items: center;
    font-weight: 600;
    color: var(--base-800);
}

header .logo-holder .logo {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 32px;
    background-color: var(--base-800);
    color: var(--base-100);
    height: 64px;
    width: 64px;
    margin-right: 20px;
    border-radius: 50%;
}

header .logo-holder .logo-text {
    flex: 1;
}

header nav {
    display: flex;
    align-items: center;
}

header nav ul {
    display: flex;
    list-style-type: none;
    gap: 5px;
}

header nav ul li {
    display: inline-block;
}

header nav ul li a {
    display: inline-block;
    padding: 10px 20px;
    color: var(--base);
}

header nav ul li a:hover {
    background-color: var(--base-100);
    border-radius: 10px;
    text-decoration: none;
}

header nav .mobile-toggle {
    display: none;
    color: var(--base-800);
    padding: 10px;
}

@media (max-width: 768px) {
    header nav .mobile-toggle {
        display: inline-block;
        position: absolute;
        top: 20px;
        right: 20px;
    }
}

@media (max-width: 1024px) {
    header {
        flex-direction: column;
        align-items: center;
    }
}

@media (max-width: 768px) {
    header {
        flex-direction: column;
        align-items: center;
    }

    header nav {
        margin-top: 10px;
        width: 100%;
    }

    header nav ul {
        display: none;
        flex-direction: column;
        text-align: center;
        width: 100%;
    }

    header nav ul.active {
        display: flex;
    }

    header nav ul a {
        width: 100%;
    }
}

section {
    max-width: 1440px;
    margin: auto;
    gap: 30px;
    margin-top: 30px;
    margin-bottom: 30px;
}

@media (max-width: 1440px) {
    section {
        padding-left: 30px;
        padding-right: 30px;
    }
}

.button {
    display: inline-block;
    padding: 10px 30px;
    background-color: var(--blue);
    color: var(--base-100);
    border-radius: 10px;
    transition: ease 0.3s all;
}

.button:hover {
    text-decoration: none;
    background-color: var(--base-800);
}

.button.white {
    background-color: white;
    color: var(--base-800);
}

.button.white:hover {
    background-color: var(--base-100);
    color: var(--base);
}

.button.black {
    background-color: black;
    color: white;
}

.button.black:hover {
    background-color: var(--base);
    color: var(--base-100);
}

h1 {
    font-size: 64px;
    line-height: 1;
    margin-bottom: 10px;
}

h1 small {
    display: block;
    font-weight: 100;
}

@media (max-width: 1024px) {
    h1 {
        font-size: 48px;
    }
}

.hero {
    display: flex;
}

@media (max-width: 1024px) {
    .hero {
        flex-direction: column;
    }
}

.hero .hero-blue {
    flex: 1;
    background-color: var(--blue-100);
    border-radius: 30px;
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

@media (max-width: 768px) {
    .hero .hero-blue span {
        display: none;
    }
}

.hero .hero-blue .call-to-action {
    margin-top: 20px;
    margin-bottom: 10px;
}

.hero .hero-blue .call-to-action a {
    margin-right: 10px;
    margin-bottom: 10px;
}

.hero .hero-blue .social-links a:hover {
    text-decoration: none;
}

.hero .hero-yellow {
    flex: 1;
    background-color: var(--yellow);
    border-radius: 30px;
    padding: 0px 30px;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.hero .hero-yellow img {
    margin-top: -60px;
    max-width: 420px;
}

.logos {
    background-color: var(--base-100);
    border-radius: 30px;
    padding: 30px 0px;
}

@media (max-width: 1440px) {
    .logos {
        border-radius: 0px;
    }
}

.logos .marquee {
    width: 100vw;
    max-width: 100%;
    height: 128px;
    overflow: hidden;
    position: relative;
}

.logos .marquee .track {
    position: absolute;
    white-space: nowrap;
    will-change: transform;
    animation: marquee 40s linear infinite;
    display: flex;
    gap: 10px;
}

@keyframes marquee {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

h2 {
    font-size: 64px;
    line-height: 1;
    margin-bottom: 10px;
    text-align: center;
    color: var(--base-800);
    padding: 15px 0;
}

h2 small {
    display: block;
    font-weight: 100;
    font-size: 0.5em;
    color: var(--base);
}

@media (max-width: 1024px) {
    h2 {
        font-size: 48px;
    }
}

h3 {
    font-size: 32px;
    font-weight: 600;
    line-height: 1;
    margin-bottom: 20px;
    color: var(--base-800);
}

.skills .holder-blue {
    background-color: var(--blue-100);
    border-radius: 30px;
    padding: 30px;
    display: flex;
}

@media (max-width: 1024px) {
    .skills .holder-blue {
        flex-direction: column;
    }
}

.skills .holder-blue .left-column {
    flex: 1;
}

.skills .holder-blue .left-column ul {
    list-style-type: none;
    gap: 10px;
    margin-right: 100px;
    margin-bottom: 20px;
}

.skills .holder-blue .left-column ul li {
    display: inline-block;
    background-color: var(--blue-400);
    padding: 10px 20px;
    border-radius: 15px;
    margin-bottom: 10px;
}

.skills .holder-blue .right-column {
    flex: 1;
}

.skills .holder-blue .right-column p {
    margin-bottom: 20px;
}

.work-experience .jobs {
    display: flex;
    background-color: var(--yellow-100);
    gap: 30px;
    justify-content: center;
}

.work-experience .jobs article {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 15px;
    background-color: var(--yellow-100);
    border-radius: 15px;
    max-width: 500px;
}

.work-experience .jobs article figure {
    height: 150px;
    position: relative;
    overflow: hidden;
    border-radius: 10px;
}

.work-experience .jobs article figure div {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.work-experience .jobs article figure img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: ease 3s all;
}

.work-experience .jobs article figure figcaption {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.5);
    color: var(--base-100);
    text-align: center;
    padding: 5px;
    opacity: 0;
    visibility: hidden;
    transition: ease 0.3s all;
    font-size: 0.7rem;
}

.work-experience .jobs article figure:hover figcaption {
    opacity: 1;
    visibility: visible;
}

.work-experience .jobs article figure:hover img {
    transform: scale(1.2);
}

.work-experience .jobs article h3 {
    margin-top: 0;
    margin-bottom: 5px;
    font-size: 1.2rem;
}

.work-experience .jobs article div {
    font-weight: 600;
    margin-bottom: 3px;
    color: var(--base-800);
    font-size: 0.9rem;
}

.work-experience .jobs article p {
    margin-bottom: 5px;
    font-size: 0.8rem;
}

.work-experience .jobs article a.button {
    align-self: flex-start;
}

@media (max-width: 1024px) {
    .work-experience .jobs {
        flex-direction: column;
        align-items: center;
    }

    .work-experience .jobs article {
        max-width: 100%;
    }

    .work-experience .jobs article figure {
        height: auto;
        padding-top: 56.25%;
    }
}

.bento-grid {
    display: grid;
    grid-gap: 30px;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    height: auto;
}

@media (max-width: 768px) {
    .bento-grid {
        display: flex;
        flex-direction: column;
        gap: 30px;
        height: auto;
    }
}

.bento-item {
    padding: 30px;
    background-color: var(--base-100);
    border-radius: 15px;
    position: relative;
    overflow: hidden;
    height: 500px;
}

.bento-item img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    object-fit: cover;
    transition: transform 3s ease;
}

.bento-item .overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.85);
    color: var(--base-100);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 20px;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.4s ease, visibility 0.4s ease;
    backdrop-filter: blur(4px);
}

.bento-item .overlay h3 {
    font-size: 1.5rem;
    margin-bottom: 10px;
    font-weight: 600;
    color: #fff;
}

.bento-item .overlay .technologies {
    font-size: 0.9rem;
    margin-bottom: 10px;
    color: var(--yellow-400);
}

.bento-item .overlay .description {
    font-size: 0.9rem;
    margin-bottom: 15px;
    max-width: 80%;
    line-height: 1.5;
}


.bento-item .overlay .source-link {
    font-size: 0.9rem;
    color: var(--base-100);
    text-decoration: underline;
    transition: color 0.3s ease;
}

.bento-item .overlay .source-link:hover {
    color: var(--blue-400);
}

.bento-item:hover img {
    transform: scale(1.2);
}

.bento-item:hover .overlay {
    opacity: 1;
    visibility: visible;
}

@media (max-width: 768px) {
    .bento-item {
        height: 240px;
    }

    .bento-item .overlay {
        padding: 15px;
    }

    .bento-item .overlay h3 {
        font-size: 1.2rem;
        margin-bottom: 8px;
    }

    .bento-item .overlay .technologies {
        font-size: 0.8rem;
        margin-bottom: 8px;
    }

    .bento-item .overlay .description {
        font-size: 0.8rem;
        margin-bottom: 10px;
        max-width: 90%;
    }

    .bento-item .overlay .arrow {
        font-size: 1.2rem;
        margin-bottom: 8px;
    }

    .bento-item .overlay .source-link {
        font-size: 0.8rem;
    }
}